aom_sb_tpl_features Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Features collected from the tpl process. More...

`#include <aom_external_partition.h>`

## Data Fields

int | available
| If tpl stats are available.
int | tpl_unit_length
| The block length of tpl process.
int | num_units
| The number of units inside the current superblock.
int64_t | intra_cost [64]
| The intra cost of each unit.
int64_t | inter_cost [64]
| The inter cost of each unit.
int64_t | mc_dep_cost [64]
| The motion compensated dependency cost.

## Detailed Description

Features collected from the tpl process.

The tpl process collects information that help measure the inter-frame dependency. The tpl process is computed in the unit of tpl_bsize_1d (16x16). Therefore, the max number of units inside a superblock is 128x128 / (16x16) = 64. Change it if the tpl process changes.

The documentation for this struct was generated from the following file:

- aom/aom_external_partition.h